Creates a new job work instruction list.

Request Information

URI Parameters :

None.

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "a6cbe960-7e6f-472f-a5f7-3c83ecb2bb2b",
  "jobs_id": "c3dbcaf8-f024-4dab-8748-7a9d57469ff6",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "37bab443-f11b-4870-825a-aadc8d5bfa3b",
    "_parent_id": "093fc04b-b3aa-405d-9a60-7cc2529ca0ee",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "32bcc39b-a53d-446c-90e1-3e87c016ac73",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "46c07fa9-2a87-4e89-96ba-c3d2a2b8274e",
      "_parent_id": "0efdfcdb-cbc1-483c-8b6c-e6bdfa667479",
      "root_parent_id": "f7f12758-ca97-4c01-af97-a0b518a0f6f1",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "fd3c5f4c-8fca-4eab-ab7f-d4cd501db2c5",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "4a25fab2-4f81-4c53-8597-826b510898d6",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "7e288821-ecce-443e-8fb0-ed50a3ee43f2",
        "_parent_code": "sample string 6",
        "sales_organization_id": "9f13b148-ed1c-4e49-a932-cdbdff31989e",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "41e304d8-f176-4d49-81ef-e1127530253b",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "26109c4d-2a72-48bf-8deb-21ba07698576",
          "db_currency_id": "ea1b9088-1ffc-4dd1-ab5a-4c9eb9f04200",
          "db_language_id": "08177f32-3d51-4b45-8f6c-2264e370debc",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
        },
        "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
      },
      "equipment_model_id": "3ebf32c2-4a32-4f7a-ab1d-5c5d6267561f",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "955f410f-130c-435b-8ec7-cf33ac3ac7aa",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "383d36ec-e2ae-477e-883c-794e8bd839f9",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "b7fb45d2-1e5f-4d65-a72c-8b3f2cb604c5",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "6f6a1bc4-b647-4adc-b5bc-de32fac3effb",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "41e304d8-f176-4d49-81ef-e1127530253b",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "26109c4d-2a72-48bf-8deb-21ba07698576",
            "db_currency_id": "ea1b9088-1ffc-4dd1-ab5a-4c9eb9f04200",
            "db_language_id": "08177f32-3d51-4b45-8f6c-2264e370debc",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
          },
          "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
        },
        "equipment_family_id": "c2c4912e-16d0-4c62-8ed9-aba24e2c36dc",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "4a25fab2-4f81-4c53-8597-826b510898d6",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "7e288821-ecce-443e-8fb0-ed50a3ee43f2",
          "_parent_code": "sample string 6",
          "sales_organization_id": "9f13b148-ed1c-4e49-a932-cdbdff31989e",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "41e304d8-f176-4d49-81ef-e1127530253b",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "26109c4d-2a72-48bf-8deb-21ba07698576",
            "db_currency_id": "ea1b9088-1ffc-4dd1-ab5a-4c9eb9f04200",
            "db_language_id": "08177f32-3d51-4b45-8f6c-2264e370debc",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
          },
          "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
        },
        "date_in_production_since": "2026-10-20T06:38:18.4132155+00:00",
        "date_out_of_production_since": "2026-10-20T06:38:18.4132155+00:00",
        "date_end_support": "2026-10-20T06:38:18.4132155+00:00",
        "sales_organization_id": "60159dff-86a1-4208-b40e-057c7cea2b09",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "41e304d8-f176-4d49-81ef-e1127530253b",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "26109c4d-2a72-48bf-8deb-21ba07698576",
          "db_currency_id": "ea1b9088-1ffc-4dd1-ab5a-4c9eb9f04200",
          "db_language_id": "08177f32-3d51-4b45-8f6c-2264e370debc",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
      },
      "project_status_id": "ce1b0aaa-24d6-4a4b-98ec-675b49eef107",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "137ea1b1-4a73-4373-a872-581f1740c085",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "16184819-5201-43ea-bf18-1c4115a6228a",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "41e304d8-f176-4d49-81ef-e1127530253b",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "26109c4d-2a72-48bf-8deb-21ba07698576",
          "db_currency_id": "ea1b9088-1ffc-4dd1-ab5a-4c9eb9f04200",
          "db_language_id": "08177f32-3d51-4b45-8f6c-2264e370debc",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
      },
      "company_id": "2fdde36d-0815-4c93-b3e4-f4794c893f0d",
      "company_code": "sample string 12",
      "db_address_id": "4ef6d924-994d-4679-a675-82de065a6519",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "37a3c42a-07d0-411a-a667-ac5f1f134928",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "6525e44f-a72e-4f2b-9e82-604f07b45042",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-10-20T06:38:18.4132155+00:00",
      "date_create": "2026-10-20T06:38:18.4132155+00:00",
      "date_update": "2026-10-20T06:38:18.4132155+00:00",
      "updated_by_user_id": "2e0bfc4e-cab6-462d-8b9b-92abf7f1c0b0",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-10-20T06:38:18.4132155+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-10-20T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-10-20T06:38:18.4132155+00:00",
      "date_last_job": "2026-10-20T06:38:18.4132155+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-10-20T06:38:18.423964+00:00",
      "modified_dateutc": "2026-10-20T06:38:18.423964+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "ee874e8f-382e-4487-8b73-9e41b74074f2",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "fc5de931-71fd-4ab2-aa33-d7a1ee269d92",
      "name": "sample string 2",
      "sales_organization_id": "41b461b8-174f-45af-88bf-2723d81242cf",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-10-20T06:38:18.423964+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "e5b44624-b1aa-47ba-ae6f-e013378f8ccd",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "c05823dc-a409-47f4-a9bc-59e104ca16ba",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "6757e817-e07c-4565-9163-0e2d633e775e",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "41e304d8-f176-4d49-81ef-e1127530253b",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "26109c4d-2a72-48bf-8deb-21ba07698576",
        "db_currency_id": "ea1b9088-1ffc-4dd1-ab5a-4c9eb9f04200",
        "db_language_id": "08177f32-3d51-4b45-8f6c-2264e370debc",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-10-20T06:38:18.423964+00:00"
    },
    "job_status_id": "6357e4c6-9d4c-47f0-9d11-0936fc6d1ac8",
    "job_status_code": "sample string 11",
    "db_address_id": "0ff7b4b7-ee84-4dde-8a8b-a12c72b56a49",
    "contact_id": "c64f1710-6b23-4421-8769-cde9b456ba49",
    "requested_by_company_id": "0056fda9-3212-45fb-8ea0-2cc883c3bb3b",
    "requested_by_contact_id": "0e75a16d-9e95-475d-8eaa-d166ee521e94",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-10-20T06:38:18.423964+00:00",
    "due_date": "2026-10-20T06:38:18.423964+00:00",
    "date_create": "2026-10-20T06:38:18.423964+00:00",
    "date_update": "2026-10-20T06:38:18.423964+00:00",
    "date_closed": "2026-10-20T06:38:18.423964+00:00",
    "suggested_user_id": "421ddf60-5143-47c0-b362-098a220a704a",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "19c7d533-962e-487c-a761-edfc946d2fb9",
      "db_language_id": "f26e4880-014d-4c81-beb2-b7e0b333ac85",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-10-20T06:38:18.423964+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "6fdc07f7-c175-4347-bbba-afb0f427c7c7",
      "sales_organization": {
        "id": "41e304d8-f176-4d49-81ef-e1127530253b",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "26109c4d-2a72-48bf-8deb-21ba07698576",
        "db_currency_id": "ea1b9088-1ffc-4dd1-ab5a-4c9eb9f04200",
        "db_language_id": "08177f32-3d51-4b45-8f6c-2264e370debc",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "a1691b07-c403-4d4c-9925-5abed55a1adf",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "88936b03-588d-41ec-816c-62a438e7238e",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-10-20T06:38:18.423964+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "6c28fc6f-86b8-45aa-b586-f0eacb13679f"
    },
    "suggested_date_start": "2026-10-20T06:38:18.423964+00:00",
    "skill_id": "21341a4d-9128-4a39-97f0-d386378d8d12",
    "skill_code": "sample string 32",
    "skill": {
      "id": "170691f8-d420-4336-9bc3-cd2cb1351946",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "e8883820-f731-4716-9407-f7d7a9fc911c",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "41e304d8-f176-4d49-81ef-e1127530253b",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "26109c4d-2a72-48bf-8deb-21ba07698576",
        "db_currency_id": "ea1b9088-1ffc-4dd1-ab5a-4c9eb9f04200",
        "db_language_id": "08177f32-3d51-4b45-8f6c-2264e370debc",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-20T06:38:18.4132155+00:00"
      },
      "modified_dateutc": "2026-10-20T06:38:18.423964+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "82179676-86c1-491c-aa06-cd44cb918388",
    "date_reported_by_company": "2026-10-20T06:38:18.423964+00:00",
    "id2": 36,
    "company_id": "88df977d-da20-4685-ae8d-1840dce67c0e",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "f964dabe-03dd-4144-8593-7597ad3d4f14",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-10-20T06:38:18.423964+00:00"
  },
  "work_instruction_details_id": "c3dc7506-4918-4fed-90c7-d44eb113bc11",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "0bc5d221-7ae1-48d0-bd91-33a2cf4ac07d",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "d613c05c-11ad-4b89-8623-62ede76cfc99",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-10-20T06:38:18.423964+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "5834edc4-da3a-4ba2-b427-588ec1cb1fae",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-10-20T06:38:18.423964+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.